import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = p.length - 1, c; o >= 0; o--)
    (c = p[o]) && (e = (r ? c(t, i, e) : c(e)) || e);
  return r && e && f(t, i, e), e;
};
let s = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--caretRightLarge", this.class = "c-pieIcon c-pieIcon--caretRightLarge", this.name = "IconCaretRightLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--caretRightLarge"><path d="m23.875 14.425-14-8.671A1.654 1.654 0 0 0 9 5.5a1.689 1.689 0 0 0-1.689 1.68v17.64a1.68 1.68 0 0 0 2.625 1.409l13.939-8.96a1.68 1.68 0 0 0 0-2.844ZM9.061 24.689V7.31L22.87 15.86 9.06 24.689Z"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = a([
  h("icon-caret-right-large")
], s);
export {
  s as IconCaretRightLarge
};
